{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.radio && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## GUI
    gqrx                    # GUI
    gnuradio                # Software Defined Radio (SDR) software
    gnuradio-with-packages  # Software Defined Radio (SDR) software

    ## A Trier
    #
    #gnuradio-osmosdr  # Gnuradio block for OsmoSDR and rtl-sdr

    inspectrum    # Tool for analysing captured signals from sdr receivers
    kalibrate-rtl # Calculate local oscillator frequency offset in RTL-SDR devices
  ];
}
